<script>
	import Benefit from "@/components/Benefit.svelte"

	import { t } from "@/i18n"
	import { isPhone, isTablet } from "@/stores/responsiveness"

	$: items = [
		$t("price.rent"), $t("price.all_prices")
	]
</script>

<div class="benefits is-flex is-justify-content-flex-start" class:is-flex-direction-column={$isPhone || $isTablet}>
	{#each items as item}
		<Benefit>
			<div class="wrap about is-flex is-align-items-center is-justify-content-center">
				<p>{item}</p>
			</div>
		</Benefit>
	{/each}
	<Benefit />
</div>

<style lang="scss">
	.benefits {
		@include min_tablet {
			margin: 1.5rem -.75rem 3rem;
			width: calc(100% + 1.5rem);
			:global(.benefit) {
				flex: 1;
				margin: 0 .75rem;
			}
		}
		@include max_tablet {
			margin: 1rem 0 2.5rem;
			width: 100%;
			:global(.benefit) {
				flex: 1;
				width: 100%;
				margin: .5rem 0;
			}
		}
		p {
			line-height: 1rem;
			font-weight: 300;
			color: $gray-text;
		}
	}

	.wrap {
		height: 100%;
	}
</style>